org.apache.hc.client5.http

## Class ConnectExceptionSupport

- java.lang.Object
- - org.apache.hc.client5.http.ConnectExceptionSupport

-     @Internal
      public final class ConnectExceptionSupport
      extends Object

  Connect exception support methods.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectExceptionSupport()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnectTimeoutException` | `createConnectTimeoutException(IOException cause, org.apache.hc.core5.net.NamedEndpoint namedEndpoint, InetAddress... remoteAddresses)`
    `static HttpHostConnectException` | `createHttpHostConnectException(IOException cause, org.apache.hc.core5.net.NamedEndpoint namedEndpoint, InetAddress... remoteAddresses)`
    `static IOException` | `enhance(IOException cause, org.apache.hc.core5.net.NamedEndpoint namedEndpoint, InetAddress... remoteAddresses)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectExceptionSupport

          public ConnectExceptionSupport()

  - ### Method Detail

    - #### createConnectTimeoutException

          public static ConnectTimeoutException createConnectTimeoutException(IOException cause,
                                                              org.apache.hc.core5.net.NamedEndpoint namedEndpoint,
                                                              InetAddress... remoteAddresses)

    - #### createHttpHostConnectException

          public static HttpHostConnectException createHttpHostConnectException(IOException cause,
                                                                org.apache.hc.core5.net.NamedEndpoint namedEndpoint,
                                                                InetAddress... remoteAddresses)

    - #### enhance

          public static IOException enhance(IOException cause,
                            org.apache.hc.core5.net.NamedEndpoint namedEndpoint,
                            InetAddress... remoteAddresses)

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.